/***************************************************************************
 *   Copyright (C) 2004-2005 by Andrew Krause                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef OUTPUTTERMINAL_H
#define OUTPUTTERMINAL_H

#include <gtkmm/scrolledwindow.h>
#include <gtkmm/main.h>
#include <glib.h>
#include <vte/vte.h>
#include <gtk/gtkwidget.h>
#include <gdk/gdkcolor.h>

class OutputTerminal
{
public:
  OutputTerminal();

  void run_command(Glib::ustring);
  void grab_focus();

  GtkWidget* get_terminal();
  Gtk::ScrolledWindow* get_swin();

private:
  GtkWidget* terminal;
  Gtk::ScrolledWindow *swin;
};

#endif
